Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Interface CustomerDelegate

All Known Subinterfaces:
  Customer

public interface CustomerDelegate
extends com.beasys.commerce.axiom.contact.Contact, RemoteRelationalReference

Stores the information required to do business with a customer. It inherits most attributes from the Person object and adds the ability to authenticate and to bill for product via a credit card.

Method Summary
`void` | `clearCreditCardsMap()` Removes all mappings from this map (optional operation).
`void` | `clearShippingAddressMap()` Removes all mappings from this map (optional operation).
`boolean` | `creditCardsMapContainsKey(java.lang.Object key)` Returns true if this map contains a mapping for the specified key.
`boolean` | `creditCardsMapContainsValue(com.beasys.commerce.axiom.contact.CreditCard element)` Returns true if this map maps one or more keys to the specified value.
`java.util.Set` | `creditCardsMapEntrySet()` Returns a set view of the mappings contained in this map.
`int` | `creditCardsMapHashCode()` Returns the hash code value for this map.
`java.util.Set` | `creditCardsMapKeySet()` Returns a set view of the keys contained in this map.
`int` | `creditCardsMapSize()` Returns the number of key-value mappings in this map.
`java.util.Collection` | `creditCardsMapValues()` Returns a collection view of the values contained in this map.
`boolean` | `equalsCreditCardsMap(java.lang.Object object)` Compares the specified object with this map for equality.
`boolean` | `equalsShippingAddressMap(java.lang.Object object)` Compares the specified object with this map for equality.
`com.beasys.commerce.axiom.contact.CreditCard` | `getCreditCards(java.lang.Object key)` Returns the value to which this map maps the specified key.
`java.util.Map` | `getCreditCardsMap()` Returns the entire map
`CustomerValue` | `getCustomerByValue()` Get all of Customer's attributes.
`java.lang.String` | `getCustomerType()` Get the value of customerType
`java.lang.String` | `getDefaultShippingAddressCity()`
`java.lang.String` | `getDefaultShippingAddressCountry()`
`java.lang.String` | `getDefaultShippingAddressCounty()`
`java.lang.String` | `getDefaultShippingAddressDescription()`
`java.lang.String` | `getDefaultShippingAddressGeoCode()`
`java.lang.String` | `getDefaultShippingAddressPoBox()`
`java.lang.String` | `getDefaultShippingAddressPostalCode()`
`java.lang.String` | `getDefaultShippingAddressPostalCodeType()`
`java.lang.String` | `getDefaultShippingAddressState()`
`java.lang.String` | `getDefaultShippingAddressStreet1()`
`java.lang.String` | `getDefaultShippingAddressStreet2()`
`java.lang.String` | `getIdentifier()` Returns the identifier (primary key field) for this user.
`com.beasys.commerce.axiom.contact.Address` | `getShippingAddress(java.lang.Object key)` Returns the value to which this map maps the specified key.
`java.util.Map` | `getShippingAddressMap()` Returns the entire map
`boolean` | `isCreditCardsMapEmpty()` Returns true if this map contains no key-value mappings.
`boolean` | `isShippingAddressMapEmpty()` Returns true if this map contains no key-value mappings.
`com.beasys.commerce.axiom.contact.CreditCard` | `putCreditCards(java.lang.Object key, com.beasys.commerce.axiom.contact.CreditCard element)` Associates the specified value with the specified key in this map (optional operation).
`void` | `putCreditCardsMap(java.util.Map map)` Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `putShippingAddress(java.lang.Object key, com.beasys.commerce.axiom.contact.Address element)` Associates the specified value with the specified key in this map (optional operation).
`void` | `putShippingAddressMap(java.util.Map map)` Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.CreditCard` | `removeCreditCards(java.lang.Object key)` Removes the mapping for this key from this map if present (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `removeShippingAddress(java.lang.Object key)` Removes the mapping for this key from this map if present (optional operation).
`void` | `setCreditCardsMap(java.util.Map map)` Sets the entire map
`void` | `setCustomerByValue(CustomerValue value)` Set all of Customer's attributes to the passed in value.
`void` | `setCustomerType(java.lang.String customerType)` Set the value of customerType
`void` | `setDefaultShippingAddressCity(java.lang.String city)`
`void` | `setDefaultShippingAddressCountry(java.lang.String country)`
`void` | `setDefaultShippingAddressCounty(java.lang.String county)`
`void` | `setDefaultShippingAddressGeoCode(java.lang.String geoCode)`
`void` | `setDefaultShippingAddressPoBox(java.lang.String poBox)`
`void` | `setDefaultShippingAddressPostalCode(java.lang.String postalCode)`
`void` | `setDefaultShippingAddressPostalCodeType(java.lang.String postalCodeType)`
`void` | `setDefaultShippingAddressState(java.lang.String state)`
`void` | `setDefaultShippingAddressStreet1(java.lang.String street1)`
`void` | `setDefaultShippingAddressStreet2(java.lang.String street2)`
`void` | `setDefaultShippingDescription(java.lang.String description)`
`void` | `setShippingAddressMap(java.util.Map map)` Sets the entire map
`boolean` | `shippingAddressMapContainsKey(java.lang.Object key)` Returns true if this map contains a mapping for the specified key.
`boolean` | `shippingAddressMapContainsValue(com.beasys.commerce.axiom.contact.Address element)` Returns true if this map maps one or more keys to the specified value.
`java.util.Set` | `shippingAddressMapEntrySet()` Returns a set view of the mappings contained in this map.
`int` | `shippingAddressMapHashCode()` Returns the hash code value for this map.
`java.util.Set` | `shippingAddressMapKeySet()` Returns a set view of the keys contained in this map.
`int` | `shippingAddressMapSize()` Returns the number of key-value mappings in this map.
`java.util.Collection` | `shippingAddressMapValues()` Returns a collection view of the values contained in this map.

Methods inherited from interface com.beasys.commerce.axiom.contact.Contact
`getBusinessPhone, getContactAddress, getContactAddressCity, getContactAddressCountry, getContactAddressCounty, getContactAddressGeoCode, getContactAddressPoBox, getContactAddressPostalCode, getContactAddressPostalCodeType, getContactAddressState, getContactAddressStreet1, getContactAddressStreet2, getContactByValue, getEmail, getFax, getFirstName, getHomePhone, getLastName, getMiddleName, getSuffix, getTitle, setBusinessPhone, setContactAddress, setContactAddressCity, setContactAddressCountry, setContactAddressCounty, setContactAddressGeoCode, setContactAddressPoBox, setContactAddressPostalCode, setContactAddressPostalCodeType, setContactAddressState, setContactAddressStreet1, setContactAddressStreet2, setContactByValue, setEmail, setFax, setFirstName, setHomePhone, setLastName, setMiddleName, setSuffix, setTitle`

Methods inherited from interface com.beasys.commerce.foundation.RemoteRelationalReference
`get__classIdentifier, get__containingBelonging, get__containingEntity, get__mapKey, get__sequenceNumber, set__containingBelonging, set__containingEntity, set__mapKey`

Method Detail

### getIdentifier

    public java.lang.String getIdentifier()
                                   throws java.rmi.RemoteException

  Returns the identifier (primary key field) for this user.

  Returns:
    the identifier (primary key field) for this user

### getCustomerByValue

    public CustomerValue getCustomerByValue()
                                     throws java.rmi.RemoteException

  Get all of Customer's attributes.

  Returns:
    CustomerValue the Customer value object

### setCustomerByValue

    public void setCustomerByValue(CustomerValue value)
                            throws java.rmi.RemoteException

  Set all of Customer's attributes to the passed in value. Note: Primary key attributes are not set.

  Parameters:
    `CustomerValue` - the Customer value object

### getCreditCardsMap

    public java.util.Map getCreditCardsMap()
                                    throws java.rmi.RemoteException

  Returns the entire map

### setCreditCardsMap

    public void setCreditCardsMap(java.util.Map map)
                           throws java.rmi.RemoteException

  Sets the entire map

### clearCreditCardsMap

    public void clearCreditCardsMap()
                             throws java.rmi.RemoteException

  Removes all mappings from this map (optional operation).

### creditCardsMapContainsKey

    public boolean creditCardsMapContainsKey(java.lang.Object key)
                                      throws java.rmi.RemoteException

  Returns true if this map contains a mapping for the specified key.

### creditCardsMapContainsValue

    public boolean creditCardsMapContainsValue(com.beasys.commerce.axiom.contact.CreditCard element)
                                        throws java.rmi.RemoteException

  Returns true if this map maps one or more keys to the specified value.

### creditCardsMapEntrySet

    public java.util.Set creditCardsMapEntrySet()
                                         throws java.rmi.RemoteException

  Returns a set view of the mappings contained in this map.

### equalsCreditCardsMap

    public boolean equalsCreditCardsMap(java.lang.Object object)
                                 throws java.rmi.RemoteException

  Compares the specified object with this map for equality.

### getCreditCards

    public com.beasys.commerce.axiom.contact.CreditCard getCreditCards(java.lang.Object key)
                                                                throws java.rmi.RemoteException

  Returns the value to which this map maps the specified key.

### creditCardsMapHashCode

    public int creditCardsMapHashCode()
                               throws java.rmi.RemoteException

  Returns the hash code value for this map.

### isCreditCardsMapEmpty

    public boolean isCreditCardsMapEmpty()
                                  throws java.rmi.RemoteException

  Returns true if this map contains no key-value mappings.

### creditCardsMapKeySet

    public java.util.Set creditCardsMapKeySet()
                                       throws java.rmi.RemoteException

  Returns a set view of the keys contained in this map.

### putCreditCards

    public com.beasys.commerce.axiom.contact.CreditCard putCreditCards(java.lang.Object key,
                                                                       com.beasys.commerce.axiom.contact.CreditCard element)
                                                                throws java.rmi.RemoteException

  Associates the specified value with the specified key in this map (optional operation).

### putCreditCardsMap

    public void putCreditCardsMap(java.util.Map map)
                           throws java.rmi.RemoteException

  Copies all of the mappings from the specified map to this map (optional operation).

### removeCreditCards

    public com.beasys.commerce.axiom.contact.CreditCard removeCreditCards(java.lang.Object key)
                                                                   throws java.rmi.RemoteException

  Removes the mapping for this key from this map if present (optional operation).

### creditCardsMapSize

    public int creditCardsMapSize()
                           throws java.rmi.RemoteException

  Returns the number of key-value mappings in this map.

### creditCardsMapValues

    public java.util.Collection creditCardsMapValues()
                                              throws java.rmi.RemoteException

  Returns a collection view of the values contained in this map.

### getCustomerType

    public java.lang.String getCustomerType()
                                     throws java.rmi.RemoteException

  Get the value of customerType

  Returns:
    customerType.

### setCustomerType

    public void setCustomerType(java.lang.String customerType)
                         throws java.rmi.RemoteException

  Set the value of customerType

  Parameters:
    `customerType` - customerType to be added

### getShippingAddressMap

    public java.util.Map getShippingAddressMap()
                                        throws java.rmi.RemoteException

  Returns the entire map

### setShippingAddressMap

    public void setShippingAddressMap(java.util.Map map)
                               throws java.rmi.RemoteException

  Sets the entire map

### clearShippingAddressMap

    public void clearShippingAddressMap()
                                 throws java.rmi.RemoteException

  Removes all mappings from this map (optional operation).

### shippingAddressMapContainsKey

    public boolean shippingAddressMapContainsKey(java.lang.Object key)
                                          throws java.rmi.RemoteException

  Returns true if this map contains a mapping for the specified key.

### shippingAddressMapContainsValue

    public boolean shippingAddressMapContainsValue(com.beasys.commerce.axiom.contact.Address element)
                                            throws java.rmi.RemoteException

  Returns true if this map maps one or more keys to the specified value.

### shippingAddressMapEntrySet

    public java.util.Set shippingAddressMapEntrySet()
                                             throws java.rmi.RemoteException

  Returns a set view of the mappings contained in this map.

### equalsShippingAddressMap

    public boolean equalsShippingAddressMap(java.lang.Object object)
                                     throws java.rmi.RemoteException

  Compares the specified object with this map for equality.

### getShippingAddress

    public com.beasys.commerce.axiom.contact.Address getShippingAddress(java.lang.Object key)
                                                                 throws java.rmi.RemoteException

  Returns the value to which this map maps the specified key.

### shippingAddressMapHashCode

    public int shippingAddressMapHashCode()
                                   throws java.rmi.RemoteException

  Returns the hash code value for this map.

### isShippingAddressMapEmpty

    public boolean isShippingAddressMapEmpty()
                                      throws java.rmi.RemoteException

  Returns true if this map contains no key-value mappings.

### shippingAddressMapKeySet

    public java.util.Set shippingAddressMapKeySet()
                                           throws java.rmi.RemoteException

  Returns a set view of the keys contained in this map.

### putShippingAddress

    public com.beasys.commerce.axiom.contact.Address putShippingAddress(java.lang.Object key,
                                                                        com.beasys.commerce.axiom.contact.Address element)
                                                                 throws java.rmi.RemoteException

  Associates the specified value with the specified key in this map (optional operation).

### putShippingAddressMap

    public void putShippingAddressMap(java.util.Map map)
                               throws java.rmi.RemoteException

  Copies all of the mappings from the specified map to this map (optional operation).

### removeShippingAddress

    public com.beasys.commerce.axiom.contact.Address removeShippingAddress(java.lang.Object key)
                                                                    throws java.rmi.RemoteException

  Removes the mapping for this key from this map if present (optional operation).

### shippingAddressMapSize

    public int shippingAddressMapSize()
                               throws java.rmi.RemoteException

  Returns the number of key-value mappings in this map.

### shippingAddressMapValues

    public java.util.Collection shippingAddressMapValues()
                                                  throws java.rmi.RemoteException

  Returns a collection view of the values contained in this map.

### getDefaultShippingAddressStreet1

    public java.lang.String getDefaultShippingAddressStreet1()
                                                      throws java.rmi.RemoteException

### setDefaultShippingAddressStreet1

    public void setDefaultShippingAddressStreet1(java.lang.String street1)
                                          throws java.rmi.RemoteException

### getDefaultShippingAddressStreet2

    public java.lang.String getDefaultShippingAddressStreet2()
                                                      throws java.rmi.RemoteException

### setDefaultShippingAddressStreet2

    public void setDefaultShippingAddressStreet2(java.lang.String street2)
                                          throws java.rmi.RemoteException

### getDefaultShippingAddressDescription

    public java.lang.String getDefaultShippingAddressDescription()
                                                          throws java.rmi.RemoteException

### setDefaultShippingDescription

    public void setDefaultShippingDescription(java.lang.String description)
                                       throws java.rmi.RemoteException

### getDefaultShippingAddressCity

    public java.lang.String getDefaultShippingAddressCity()
                                                   throws java.rmi.RemoteException

### setDefaultShippingAddressCity

    public void setDefaultShippingAddressCity(java.lang.String city)
                                       throws java.rmi.RemoteException

### getDefaultShippingAddressPostalCodeType

    public java.lang.String getDefaultShippingAddressPostalCodeType()
                                                             throws java.rmi.RemoteException

### setDefaultShippingAddressPostalCodeType

    public void setDefaultShippingAddressPostalCodeType(java.lang.String postalCodeType)
                                                 throws java.rmi.RemoteException

### getDefaultShippingAddressCountry

    public java.lang.String getDefaultShippingAddressCountry()
                                                      throws java.rmi.RemoteException

### setDefaultShippingAddressCountry

    public void setDefaultShippingAddressCountry(java.lang.String country)
                                          throws java.rmi.RemoteException

### getDefaultShippingAddressState

    public java.lang.String getDefaultShippingAddressState()
                                                    throws java.rmi.RemoteException

### setDefaultShippingAddressState

    public void setDefaultShippingAddressState(java.lang.String state)
                                        throws java.rmi.RemoteException

### getDefaultShippingAddressGeoCode

    public java.lang.String getDefaultShippingAddressGeoCode()
                                                      throws java.rmi.RemoteException

### setDefaultShippingAddressGeoCode

    public void setDefaultShippingAddressGeoCode(java.lang.String geoCode)
                                          throws java.rmi.RemoteException

### getDefaultShippingAddressPoBox

    public java.lang.String getDefaultShippingAddressPoBox()
                                                    throws java.rmi.RemoteException

### setDefaultShippingAddressPoBox

    public void setDefaultShippingAddressPoBox(java.lang.String poBox)
                                        throws java.rmi.RemoteException

### getDefaultShippingAddressCounty

    public java.lang.String getDefaultShippingAddressCounty()
                                                     throws java.rmi.RemoteException

### setDefaultShippingAddressCounty

    public void setDefaultShippingAddressCounty(java.lang.String county)
                                         throws java.rmi.RemoteException

### getDefaultShippingAddressPostalCode

    public java.lang.String getDefaultShippingAddressPostalCode()
                                                         throws java.rmi.RemoteException

### setDefaultShippingAddressPostalCode

    public void setDefaultShippingAddressPostalCode(java.lang.String postalCode)
                                             throws java.rmi.RemoteException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved